Next Commerce

Address Autocomplete

Autocomplete address suggestions based on partial input.

GET
/api/v1/addresses/autocomplete/

Authorization

API Authentication
Authorization<token>

Campaign token based authentication.

In: header

Query Parameters

country?string

Optional ISO 3166-1 country code(s) to filter results, e.g. 'US' or 'US,CA,MX'.

language?string

Optional BCP47 language code(s) for the results, e.g. 'en' or 'en,th'.

query_text*string

Partial address input to search for suggestions.

Response Body

application/json

curl -X GET "https://campaigns.apps.29next.com/api/v1/addresses/autocomplete/?query_text=string" \
  -H "Authorization: "
{
  "results": [
    {
      "address": {
        "city": "string",
        "country": "string",
        "country_code": "st",
        "line1": "string",
        "line2": "string",
        "line3": "string",
        "postcode": "string",
        "state": "string",
        "state_code": "string"
      },
      "label": "string"
    }
  ]
}